Orxonox: orxonox::CheckPoint Class Reference

# orxonox::CheckPoint Class Reference

`#include <src/orxonox/objects/worldentities/triggers/CheckPoint.h>`

Inheritance diagram for orxonox::CheckPoint:

List of all members.

## Public Member Functions

virtual void | changedActivity ()
| This function gets called if the activity of the object changes.
| CheckPoint (BaseObject *creator)
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| Method for creating a CheckPoint object through XML.
virtual | ~CheckPoint ()

## Private Member Functions

bool | getAddTime ()
bool | getDestination ()
bool | getFirst ()
const WorldEntity * | getWorldEntity () const
virtual void | notifyMaskUpdate ()
void | setAddTime (float time)
void | setDestination (bool isDestination)
void | setFirst (bool isFirst)
virtual void | triggered (bool bIsTriggered)

## Private Attributes

float | addTime_
bool | bIsDestination_
bool | bIsFirst_

## Constructor & Destructor Documentation

orxonox::CheckPoint::CheckPoint | ( | BaseObject * | creator | ) |

References bIsDestination_, bIsFirst_, orxonox::RadarViewable::Dot, notifyMaskUpdate(), RegisterObject, orxonox::DistanceTrigger::setDistance(), orxonox::RadarViewable::setRadarObjectColour(), orxonox::RadarViewable::setRadarObjectShape(), orxonox::RadarViewable::setRadarVisibility(), and orxonox::Trigger::setStayActive().

orxonox::CheckPoint::~CheckPoint | ( |  | ) | `[virtual]`

## Member Function Documentation

void orxonox::CheckPoint::changedActivity | ( |  | ) | `[virtual]`

This function gets called if the activity of the object changes.

Reimplemented from orxonox::BaseObject.

References orxonox::BaseObject::isActive(), orxonox::RadarViewable::setRadarVisibility(), and SUPER.

bool orxonox::CheckPoint::getAddTime | ( |  | ) | `[inline, private]`

Referenced by XMLPort().

bool orxonox::CheckPoint::getDestination | ( |  | ) | `[inline, private]`

Referenced by XMLPort().

bool orxonox::CheckPoint::getFirst | ( |  | ) | `[inline, private]`

Referenced by XMLPort().

const WorldEntity* orxonox::CheckPoint::getWorldEntity | ( |  | ) | const`[inline, private, virtual]`

Implements orxonox::RadarViewable.

void orxonox::CheckPoint::notifyMaskUpdate | ( |  | ) | `[private, virtual]`

Reimplemented from orxonox::DistanceTrigger.

References Class, orxonox::ClassTreeMask::exclude(), orxonox::ClassTreeMask::include(), and orxonox::DistanceTrigger::targetMask_.

Referenced by CheckPoint().

void orxonox::CheckPoint::setAddTime | ( | float | time | ) | `[inline, private]`

Referenced by XMLPort().

void orxonox::CheckPoint::setDestination | ( | bool | isDestination | ) | `[inline, private]`

Referenced by XMLPort().

void orxonox::CheckPoint::setFirst | ( | bool | isFirst | ) | `[inline, private]`

Referenced by XMLPort().

void orxonox::CheckPoint::triggered | ( | bool | bIsTriggered | ) | `[private, virtual]`

Reimplemented from orxonox::Trigger.

References orxonox::Gametype::addTime(), addTime_, bIsDestination_, bIsFirst_, orxonox::Asteroids::end(), orxonox::Asteroids::firstCheckpointReached(), orxonox::BaseObject::getGametype(), orxonox::Gametype::getGametypeInfo(), orxonox::RadarViewable::setRadarVisibility(), orxonox::Gametype::setTimeLimit(), and orxonox::Trigger::triggered().

void orxonox::CheckPoint::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

Method for creating a CheckPoint object through XML.

Reimplemented from orxonox::DistanceTrigger.

References getAddTime(), getDestination(), getFirst(), setAddTime(), setDestination(), setFirst(), SUPER, and XMLPortParam.

## Member Data Documentation

float orxonox::CheckPoint::addTime_`[private]`

Referenced by triggered().

bool orxonox::CheckPoint::bIsDestination_`[private]`

Referenced by CheckPoint(), and triggered().

bool orxonox::CheckPoint::bIsFirst_`[private]`

Referenced by CheckPoint(), and triggered().

The documentation for this class was generated from the following files:

- src/orxonox/objects/worldentities/triggers/CheckPoint.h
- src/orxonox/objects/worldentities/triggers/CheckPoint.cc